---
# file: roles/incus/tasks/profiles.yml

- name: "incus 'default' profile"
  community.general.lxd_profile:
    url: "unix:/var/lib/incus/unix.socket"
    name: default
    devices:
      root:
        path: /
        pool: default
        type: disk

- name: "standard profiles"
  community.general.lxd_profile:
    url: "unix:/var/lib/incus/unix.socket"
    name: "{{ item['name'] }}"
    config: "{{ item['config'] }}"
  loop: "{{ incus_standard_profiles }}"
  when: incus_standard_profiles is defined

- name: "network profiles"
  community.general.lxd_profile:
    url: "unix:/var/lib/incus/unix.socket"
    name: "{{ item['name'] }}"
    devices: "{{ item['devices'] }}"
  loop: "{{ incus_network_profiles }}"
  when: incus_network_profiles is defined
